﻿.pt-popup {
    margin: -15px 0;
}

    .pt-popup .pt-popup--header,
    .pt-popup .pt-popup--content,
    .pt-popup .pt-popup--actions {
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 10px;
        flex-direction: column;
    }

    .pt-popup .pt-popup--header {
        min-height: 104px;
        background: url('/images/gray_bg_pop_up_800px.png') no-repeat center;
        background-color: rgb(61,103,166);
        background-blend-mode: luminosity;
        color: #fff;
    }

        .pt-popup .pt-popup--header h3 {
            text-align: center;
            margin: 0;
        }

    .pt-popup .pt-popup--content p {
        text-align: center;
        font-weight: bold;
        font-size: 15px;
    }

    .pt-popup .pt-popup--actions {
        flex-direction: column;
        align-items: center;
    }

        .pt-popup .pt-popup--actions button {
            min-width: 300px;
            max-width: 100%;
            margin: 10px;
            line-height: 3;
        }

    .pt-popup.portfolio .button-holder {
        display: flex;
        justify-content: center;
        padding-top: 20px;
        padding-bottom: 30px;
    }

	.pt-popup .btn.btn-green {
		background-color: #82bb41;
		background-color: var(--accent, #82bb41);
		border-color: #82bb41;
		border-color: var(--accent, #82bb41);
		padding-left: 30px;
		padding-right: 30px;
		color: #fff;
		box-shadow: none;
	}

    .pt-popup .pt-popup--footer {
        display: flex;
        justify-content: center;
        padding-top: 10px;
        padding-bottom: 30px;
    }

        .pt-popup .pt-popup--footer .checkbox-wrapper {
            display: flex;
            vertical-align: middle;
        }

            .pt-popup .pt-popup--footer .checkbox-wrapper .radioLabel {
                padding-left: 15px;
            }

            .ngdialog.ngdialog-theme-default.ng-dialog-avapro .ngdialog-content {
                width: 500px;
            }


/*** New My AVA Popup Theme **/
.ngdialog-theme-new-my-ava .ngdialog-content {
    border-radius: 3px;
    padding: 32px;
    position: relative;
    max-width: 600px;
    width: auto;
}
.ngdialog-theme-new-my-ava {
    text-align: left;
}

.ngdialog-theme-new-my-ava .pt-popup,
.ngdialog-theme-new-my-ava .pt-popup .row {
    margin: 0;
}


.ngdialog-theme-new-my-ava .ngdialog-close::before{
    color: #363636;
    position: absolute;
    top: 13px;
    right: 23px;
    font-size: 18px!important;
} 

.ngdialog-theme-new-my-ava .pt-popup--header{
    background: none;
    min-height: auto;
    align-items: flex-start;
}

.ngdialog-theme-new-my-ava .pt-popup--header h3{
    color: #363636;
    text-align: left;
    text-transform: none;
}

.ngdialog-theme-new-my-ava .pt-popup--content .col-md-12 {
    padding: 0;
}

.ngdialog-theme-new-my-ava .pt-popup--content {
    padding-bottom: 23px;
}

.ngdialog-theme-new-my-ava .pt-popup--content p {
    color: #676767;
    font-size: 16px;
    text-align: left;
}

.ngdialog-theme-new-my-ava .button-holder {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 0;
    gap:10px;
}

.ngdialog-theme-new-my-ava .pt-popup--actions button {
    border-radius: 0;
    font-size: 16px;
    flex: 1;
    min-width: auto;
    max-width: 100%;
    margin: 0;
    line-height: 3;
    padding: 0 30px;
}

.ngdialog-theme-new-my-ava .btn.btn-green {
    background-color: #4C61FF;
    border: 2px solid #4C61FF;
    color: #fff;
}

.ngdialog-theme-new-my-ava .btn.btn-blue {
    border: 2px solid #4C61FF;
    background-color: transparent;
    color: #4C61FF;
}

.ngdialog-theme-new-my-ava .pt-popup--footer {
    display: flex;
    justify-content: flex-start;
    padding: 16px 10px 0;
}

.ngdialog-theme-new-my-ava .pt-popup--footer [type="checkbox"].checkbox-custom + label:before {
    width: 18px;
    height: 18px;
    top: 2px;
}

.ngdialog-theme-new-my-ava .pt-popup--footer .radioLabel {
    color: rgba(0, 0, 0, 0.6);
    padding-left: 5px;
}

/*** MOBILE New My AVA PopupTheme **/

@media only screen and (max-width: 767px) {
    .ngdialog-theme-new-my-ava .button-holder {
        flex-direction: column;
    }

    .ngdialog-theme-new-my-ava .pt-popup--actions button {
        width: 100%;
    }

    .ngdialog-theme-new-my-ava .ngdialog-content {
        padding: 24px;
    }

    .ngdialog-theme-new-my-ava .pt-popup--footer {
        padding: 16px 0 0;
    }
}



/** Mobile styles **/

@media only screen and (max-width: 767px) {
    .pt-popup .pt-popup--footer .checkbox-wrapper .radioLabel {
        padding-left: 32px;
    }

    .pt-popup .pt-popup--header h3 {
        text-transform: uppercase;
        font-weight: bold;
    }

    .pt-popup .normal_text {
        font-size: 19px;
    }

        .pt-popup .small_text{
        font-weight: normal;
        }
}

.need-comma:after {
    content: ',';
}

.pt-popup.post_avapro_login .pt-popup--header {
    flex-direction: column;
}

.ngdialog-overlay
{
    background: rgba(0, 0, 0, 0.65);
}

.pt-status-popup--clip .ngdialog-content {
    clip-path: polygon(4% 0%, 100% 0%, 100% 100%, 0% 100%, 0% 20%);
    position: relative;
    padding: 0;
    width: 550px;
    margin: 10px;
}


.pt-status-popup--clip-unclosable .ngdialog-close {
  display: none;
}

.pt-status-popup--clip .ngdialog-close {
    position: absolute;
    top: 17px;
    right: 17px;
    z-index: 10;
    border: none;
    font-size: 16px;
    cursor: pointer;
    background-image: url(/images/prof-trader-status-popup-close.svg);
    background-position: center;
    background-repeat: no-repeat;
    height: 15px;
    width: 15px;
}
.pt-status-popup--clip .ngdialog-close:before {
    display: none;
    color: #4C61FF;
    font-size: 28px;
}

.pt-status-popup {
    display: flex;
    flex-direction: column;
    gap: 24px;
    align-items: center;
    clip-path: polygon(0% 0%, 90% 0%, 100% 10%, 100% 100%, 0% 100%);
    padding: 44px 28px;
    background-image: url(/images/prof-trader-status-popup-bg.png);
    background-size: auto 100%;
    background-position: center;
    background-repeat: no-repeat;
}

.pt-status-popup-title {
    color: #4C61FF;
    font-size: 24px;
    font-weight: 400;
    line-height: 32.02px;
    text-align: center;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
    max-width: 370px;
    margin: 0;

}
.pt-status-popup-text {
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    text-align: center;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
    max-width: 370px;
    margin: 0;
}

.pt-status-popup-button {
    background: #FF5100;
    padding: 10px 20px;
    border: 0;
    color: #fff;
    font-size: 15px;
    font-weight: 600;
    line-height: 21px;
    text-align: center;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
}

@media (max-width: 767px) {
    .pt-status-popup {
        padding: 32px 24px;
    }

    .pt-status-popup-title {
        font-size: 20px;
        max-width: 200px;
        font-weight: 500;
        line-height: 32px;
        text-align: center;
        text-underline-position: from-font;
        text-decoration-skip-ink: none;

    }

    .pt-status-popup-text {
        font-size: 14px;
        font-weight: 400;
        line-height: 20.02px;
        max-width: 300px;
        text-align: center;
        text-underline-position: from-font;
        text-decoration-skip-ink: none;
    }
}